## kicad 8.0.3+dfsg

=== debian/changelog ===
kicad (8.0.3+dfsg-1) unstable; urgency=medium

  * [f7d4143] New upstream version 8.0.3+dfsg
  * [cf2b4b4] Rebuild patch queue from patch-queue branch
    + Added patch:
      fixes/demos-Adjust-MIME-encoding-to-UTF8-of-some-libraries.patch
  * [67536f2] d/copyright: Update content due added folder by upstream
  * [d1377f8] Revert "Adding ldconfig triggering file"

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 05 Jun 2024 20:29:30 +0200

kicad (8.0.2+dfsg-1) unstable; urgency=medium

  [ zhangdandan ]
  * [0ae6094] d/control: Add loongarch64 architecture
    (Closes: #1059016)

  [ Carsten Schoenert ]
  * [4568d39] d/copyright: Updating due upstream modifications
  * [db730d5] New upstream version 8.0.2+dfsg
  * [b2841ed] d/control: Increase Standards-Version to 4.7.0
    + No further changes needed.
  * [d788d27] d/k.lintian-overrides: Ignore ships-undeclared-shared-library
  * [5a6d93d] d/copyright: Small adjustment on filtered content

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 01 May 2024 11:47:38 +0200

kicad (8.0.1+dfsg-1) unstable; urgency=medium

  * [ed981e2] d/gbp.conf: Add more content to filter out
  * [585ff35] New upstream version 8.0.1+dfsg
    (Closes: #1064546)
  * [b679e37] d/control: Bump Bre/Sug/Rec versions to >=/<< 8.0.1~
  * [aa552a3] Rebuild patch queue from patch-queue branch
    + Dropped patch:
      porting-kfreebsd-hurd/Fix-FTBFS-on-kFreeBSD-and-Hurd.patch
  * [32d5f0e] d/control: Add new build dependencies
    The build requires now libgit2-dev and libsecret-1-dev.
  * [2e4fe8c] d/kicad.install.in: Add libki{common,gal} to sequencer
  * [fc20fca] d/kicad-demos.install: Adjust sequencer data to install
  * [a2ca39d] d/control: Adjust obsolet pkg-config => pkgconf
  * [064d10c] d/kicad.lintian-overrides: Adjust some overrides

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 17 Mar 2024 14:58:18 +0100

## kicad 8.0.4+dfsg

=== debian/changelog ===
kicad (8.0.4+dfsg-1) unstable; urgency=medium

  * [53b587f] New upstream version 8.0.4+dfsg
  * [c6b9160] Rebuild patch queue from patch-queue branch
    + Added patch:
      fixes/python-Use-raw-strings-expressions.patch
  * [a337b7b] d/rules: Clean out .mypy_cache folders in dh_clean

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 18 Jul 2024 17:32:31 +0200

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/buildflags.mk
CFLAGS+=$(CPPFLAGS)
CXXFLAGS+=$(CPPFLAGS)

# out of tree build folder for kicad application
DEB_BUILD_DIR=debian/build
# default install folder
INSTDIR=$(CURDIR)/debian/tmp
# catching make jobs from DEB_BUILD_OPTIONS
PARALLEL_BUILD=$(echo $DEB_BUILD_OPTIONS | sed -e '/parallel=/!s/.*/1/;s/.*parallel=\([0-9]\+\).*/\1/g')

# other variables
include /usr/share/dpkg/pkg-info.mk
DEB_VERSION_APPENDIX = $(shell echo $(DEB_VERSION) | sed 's/.*+/+/')
DATE            = $(shell date +'%Y-%m-%d' -d@"$(SOURCE_DATE_EPOCH)")
export REVDATE := $(shell TZ=UTC date -d@"$(SOURCE_DATE_EPOCH)" +%Y-%m-%d)

PREPROCESS_FILES := $(wildcard debian/*.in)

ASCIIDOCFILES := \
	doc/src/doc_writing_style_policy/doc_writing_style_policy.adoc \
	doc/src/eeschema/eeschema.adoc \
	doc/src/gerbview/gerbview.adoc \
	doc/src/getting_started_in_kicad/getting_started_in_kicad.adoc \
	doc/src/kicad/kicad.adoc \
	doc/src/pcbnew/pcbnew.adoc \
	doc/src/pl_editor/pl_editor.adoc \
	$(NULL)

DEB_KICAD_CMAKE_OPTS := \
	-DCMAKE_CXX_FLAGS="$(CXXFLAGS) -DNDEBUG" \
	-DCMAKE_INSTALL_PREFIX=/usr \
	-DCMAKE_SHARED_LINKER_FLAGS_RELEASE="$(LDFLAGS)" \
	-DKICAD_BUILD_I18N=ON \
	-DKICAD_I18N_UNIX_STRICT_PATH=ON \
	-DKICAD_INSTALL_DEMOS=ON \
	-DKICAD_SCRIPTING_WXPYTHON=ON \
	-DKICAD_SPICE=ON \
	-DKICAD_USE_EGL=OFF \
	-DKICAD_VERSION_EXTRA="$(DEB_VERSION_APPENDIX)" \
	$(NULL)

DEB_DOC_CMAKE_OPTS := \
	-DCMAKE_INSTALL_PREFIX=/usr \
	-DBUILD_FORMATS=html \
	$(NULL)

$(PREPROCESS_FILES:.in=): %: %.in
	sed -e 's,/@DEB_HOST_MULTIARCH@,$(DEB_HOST_MULTIARCH:%=/%),g' $< > $@

%:
	dh $@ --with-python3

override_dh_clean:
	dh_clean
	rm -rf $(DEB_BUILD_DIR)
	find -type d -name ".mypy_cache" -delete

override_dh_auto_configure:
	#sed -i 's/@REVDATE@/$(REVDATE)/' $(ASCIIDOCFILES)
	mkdir -p $(DEB_BUILD_DIR)
	#################################
	# configuring KiCad application #
	#################################
	dh_auto_configure --sourcedirectory=$(CURDIR) --builddirectory=$(DEB_BUILD_DIR) -- $(DEB_KICAD_CMAKE_OPTS)
	###################################
	# configuring KiCad documentation #
	###################################
	dh_auto_configure --sourcedirectory=$(CURDIR)/doc --builddirectory=$(DEB_BUILD_DIR)/doc -- $(DEB_DOC_CMAKE_OPTS)

override_dh_auto_build-arch:
	##############################
	# building KiCad application #
	##############################
	dh_auto_build --sourcedirectory=$(CURDIR) --builddirectory=$(DEB_BUILD_DIR)

override_dh_auto_build-indep:
	################################
	# building KiCad documentation #
	################################
	dh_auto_build --sourcedirectory=$(CURDIR)/doc --builddirectory=$(DEB_BUILD_DIR)/doc

override_dh_auto_install-arch: $(PREPROCESS_FILES:.in=)
	################################
	# installing KiCad application #
	################################
	dh_auto_install --destdir=$(INSTDIR) --sourcedirectory=$(CURDIR) --builddirectory=$(DEB_BUILD_DIR)
	# Removing a potentially added RUNPATH from the Pcbnew Python library.
	chrpath --delete $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/_pcbnew.so
	# some tweaks before running the next dh sequencers
	# fixing icon sizes
	images=$$(find $(INSTDIR)/usr/share/icons/hicolor/48x48 -name "*.png"); \
	for f in $$images; do \
		size=$$(identify $$f | sed -n 's/.* PNG \(4[^ ]*\) .*/\1/ p'); \
		if [ "$$size" != "48x48" ]; then \
			echo "Resize $$(basename $$f) : $$size => 48x48"; \
			convert -resize '48x48!' $$f $$f.tmp && mv $$f.tmp $$f; \
		fi; \
	done

override_dh_auto_install-indep: $(PREPROCESS_FILES:.in=)
	##########################
	# installing KiCad demos #
	##########################
	dh_auto_install --destdir=$(INSTDIR) --sourcedirectory=$(CURDIR) --builddirectory=$(DEB_BUILD_DIR)/demos
	find $(INSTDIR)/usr/share/kicad/demos -type f -name "*.md" -exec rm {} \;
	##################################
	# installing KiCad documentation #
	##################################
	dh_auto_install --destdir=$(INSTDIR) --sourcedirectory=$(CURDIR)/doc --builddirectory=$(DEB_BUILD_DIR)/doc

override_dh_install-arch:
	dh_install -a
	dh_python3
	# The KiCad XPM icon comes with a to high resolution, fixing before install.
	convert -resize '32x32!' $(CURDIR)/debian/kicad/usr/share/pixmaps/icon_kicad.xpm $(CURDIR)/debian/kicad/usr/share/pixmaps/icon_kicad.xpm

override_dh_install-indep:
	dh_install -i

override_dh_fixperms-arch:
	dh_fixperms
	# fixing file permissions for *.py files in kicad
	for i in `find $(CURDIR)/debian/kicad/usr -type f -name "*.py"`; do \
		FOUND_PYTHON=$$(head -n1 $$i | grep python); \
		if [ "$$FOUND_PYTHON" != "" ]; then \
			chmod +x $$i; \
		else \
			chmod -x $$i; \
		fi; \
	done

override_dh_missing:
	dh_missing --exclude usr/share/doc/kicad/scripts/lib_convert.py \
	           --exclude usr/share/doc/kicad/scripts/test_plugin.py \
	           --exclude usr/share/doc/kicad/scripts/test_kicad_plugin.py \
	           --exclude usr/share/doc/kicad/scripts/ddr3_length_match.py

override_dh_strip-arch:
	dh_strip
	# strip unneeded symbols from the kicad specific libraries in /usr/lib/kicad/
	strip --strip-unneeded --remove-section=.comment $(CURDIR)/debian/kicad/usr/lib/kicad/_*.kiface

override_dh_makeshlibs:
	dh_makeshlibs -a \
		-Xlibkicad_3dsg \
		-Xlibs3d_plugin_idf \
		-Xlibs3d_plugin_oce \
		-Xlibs3d_plugin_vrml \
		-X_pcbnew.$(DEB_HOST_MULTIARCH)

## kicad 8.0.6%2Bdfsg

=== libs/CMakeLists.txt ===
#
#  This program source code file is part of KICAD, a free EDA CAD application.
#
#  Copyright (C) 2019 Kicad Developers, see AUTHORS.txt for contributors.
#
#  This program is free software; you can redistribute it and/or
#  modify it under the terms of the GNU General Public License
#  as published by the Free Software Foundation; either version 2
#  of the License, or (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, you may find one here:
#  http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
#  or you may search the http://www.gnu.org website for the version 2 license,
#  or you may write to the Free Software Foundation, Inc.,
#  51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
#

# Build file for generic re-useable libraries
add_subdirectory( core )
add_subdirectory( kimath )
add_subdirectory( kiplatform )
add_subdirectory( sexpr )

=== pcbnew/pcb_io/altium/CMakeLists.txt ===

# Sources for the pcbnew PLUGIN called ALTIUM_DESIGNER_PLUGIN, ALTIUM_CIRCUIT_STUDIO_PLUGIN and ALTIUM_CIRCUIT_MAKER_PLUGIN

set( ALTIUM2PCBNEW_SRCS
    altium_parser_pcb.cpp
    altium_pcb.cpp
    altium_rule_transformer.cpp
    pcb_io_altium_circuit_maker.cpp
    pcb_io_altium_circuit_studio.cpp
    pcb_io_altium_designer.cpp
    pcb_io_solidworks.cpp
    )

add_library( altium2pcbnew STATIC ${ALTIUM2PCBNEW_SRCS} )

target_link_libraries( altium2pcbnew
    pcbcommon
    compoundfilereader )

target_include_directories( altium2pcbnew
    PUBLIC
        ${CMAKE_CURRENT_SOURCE_DIR} )

target_include_directories( altium2pcbnew PRIVATE
    $<TARGET_PROPERTY:magic_enum,INTERFACE_INCLUDE_DIRECTORIES>
    )

## kicad 8.0.6+dfsg

=== debian/changelog ===
kicad (8.0.6+dfsg-1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 04 Dec 2024 15:45:09 -0800

kicad (8.0.6+dfsg-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 28 Oct 2024 16:51:00 +0100

kicad (8.0.6+dfsg-1) unstable; urgency=medium

  * [6b82f1b] New upstream version 8.0.6+dfsg
    (Closes: #1084283)
  * [899692f] Rebuild patch queue from patch-queue branch
    + Updated patch:
      reproducibility/doc-Add-field-revdate-to-asciidoc-files.patch

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 18 Oct 2024 19:16:53 +0200

kicad (8.0.5+dfsg-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 19 Sep 2024 18:58:46 +0200

kicad (8.0.5+dfsg-1) unstable; urgency=medium

  * [22aec90] New upstream version 8.0.5+dfsg

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 12 Sep 2024 17:23:50 +0200

kicad (8.0.4+dfsg-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 08 Aug 2024 06:11:09 +0200

kicad (8.0.3+dfsg-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports
    (Closes: #1071586)

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 11 Jun 2024 20:33:50 +0200

kicad (7.0.11+dfsg-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 29 Feb 2024 22:49:47 +0100

kicad (7.0.10+dfsg-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 05 Jan 2024 15:00:13 +0100

kicad (7.0.9+dfsg-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 30 Nov 2023 20:42:07 +0100

kicad (7.0.8+dfsg-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 13 Oct 2023 20:07:56 +0200

kicad (7.0.7+dfsg-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 26 Aug 2023 00:05:45 +0530

kicad (7.0.6+dfsg-1~bpo12+1) bookworm-backports; urgency=medium

  * [8aa95a2] d/gbp.conf: Adjust to target bookworm

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 21 Jul 2023 17:37:34 +0200

=== debian/control ===
Source: kicad
Section: electronics
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian Electronics Team <pkg-electronics-devel@alioth-lists.debian.net>
Uploaders: Carsten Schoenert <c.schoenert@t-online.de>,
           Georges Khaznadar <georgesk@debian.org>
Build-Depends: asciidoctor,
               chrpath,
               cmake,
               dblatex,
               debhelper-compat (= 13),
               dh-python,
               docbook-utils,
               docbook-xsl,
               doxygen,
               dpkg-dev (>= 1.16.1.1~),
               fonts-freefont-ttf,
               fonts-vlgothic,
               gettext,
               git,
               imagemagick,
               libboost-date-time-dev,
               libboost-dev,
               libboost-filesystem-dev,
               libboost-iostreams-dev,
               libboost-locale-dev,
               libboost-program-options-dev,
               libboost-regex-dev,
               libboost-system-dev,
               libboost-test-dev,
               libboost-thread-dev,
               libbz2-dev,
               libcairo2-dev,
               libcurl4-openssl-dev,
               libgit2-dev,
               libglew-dev,
               libglm-dev (>= 0.9.9.6-1~),
               libgtk-3-dev,
               liblocale-gettext-perl,
               libngspice0-dev,
               libocct-data-exchange-dev,
               libpython3-dev,
               libsecret-1-dev,
               libssl-dev,
               libterm-readkey-perl,
               libtext-wrapi18n-perl,
               libunicode-linebreak-perl,
               libwxgtk3.2-dev,
               libxml2-utils,
               lmodern,
               pkgconf,
               po4a,
               python3-all,
               python3-dev,
               python3-wxgtk4.0,
               source-highlight,
               swig,
               texlive-fonts-extra,
               texlive-lang-chinese,
               texlive-lang-cyrillic,
               texlive-lang-english,
               texlive-lang-european,
               texlive-lang-french,
               texlive-lang-german,
               texlive-lang-italian,
               texlive-lang-japanese,
               texlive-lang-other,
               texlive-lang-polish,
               texlive-lang-spanish,
               texlive-xetex,
               unixodbc-dev,
               xmlto
Rules-Requires-Root: binary-targets
Vcs-Git: https://salsa.debian.org/electronics-team/KiCad/kicad.git -b debian/sid
Vcs-Browser: https://salsa.debian.org/electronics-team/KiCad/kicad/-/tree/debian/sid
Standards-Version: 4.7.0
Homepage: https://www.kicad.org

Package: kicad
Architecture: any-amd64 any-i386 arm64 armhf loong64 mips64el powerpc ppc64 ppc64el riscv64
Depends: libngspice0,
         python3-wxgtk4.0 (>= 4.2.0+dfsg-1~),
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Suggests: extra-xdg-menus,
          kicad-doc-ca | kicad-doc-de | kicad-doc-en | kicad-doc-es | kicad-doc-fr | kicad-doc-id | kicad-doc-it | kicad-doc-ja | kicad-doc-pl | kicad-doc-ru | kicad-doc-zh,
          kicad-packages3d
Recommends: kicad-demos (>= 8.0.1~), kicad-libraries (>= 8.0.1~), xsltproc
Breaks: kicad-footprints (<< 8.0.1~),
        kicad-libraries (<< 8.0.1~),
        kicad-packages3d (<< 8.0.1~),
        kicad-symbols (<< 8.0.1~),
        kicad-templates (<< 8.0.1~)
Description: Electronic schematic and PCB design software
 Kicad is a suite of programs for the creation of printed circuit boards.
 It includes a schematic editor, a PCB layout tool, support tools and a
 3D viewer to display a finished & fully populated PCB.
 .
 Kicad is made up of 5 main components:
 .
  * kicad - project manager
  * eeschema - schematic editor
  * pcbnew - PCB editor
  * gerbview - GERBER viewer
  * cvpcb - footprint selector for components
 .
 Libraries:
  * Both eeschema and pcbnew have library managers and editors for their
    components and footprints
  * You can easily create, edit, delete and exchange library items
  * Documentation files can be associated with components, footprints and key
    words, allowing a fast search by function
  * Very large libraries are available for schematic components and footprints
  * Most components have corresponding 3D models

Package: kicad-demos
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Suggests: kicad (>= 8.0.1~)
Description: Demo projects for kicad
 The KiCad projects within this package are various typical small use cases
 which can be used for study or also for build own projects on top of these
 existing projects.
 .
 The projects included are on one side easy and simple projects with classical
 through hole mounted components with one or two layers but also rather more
 complex projects based on surface mounted devices (SMD) with multiple layers.

Package: kicad-doc-ca
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Kicad help files (Catalan)
 This package provides various documentation files for KiCad in Catalan, like
 the EPUB and the PDF files and also the OnLine HTML documentation for:
 .
  * GSIK - Getting Started in KiCad
  * KiCad - The main project editor

Package: kicad-doc-de
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Kicad help files (German)
 This package provides various documentation files for KiCad in German, like
 the EPUB and the PDF files and also the OnLine HTML documentation for:
 .
  * CvPcb - Component association of Footprints
  * Eeschema - schematic capture editor
  * GerbView - Gerber file viewer (RS 274 X format)
  * GSIK - Getting Started in KiCad
  * GUI Translation - HowTo Help to do GUI translation
  * IDF Exporter - Export tool for IDFv3 boards and libraries
  * KiCad - The main project editor
  * Pcbnew - The printed circuit board software tool
  * PlEditor - The layout editor for custom title block

Package: kicad-doc-en
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Kicad help files (English)
 This package provides various documentation files for KiCad in English, like
 the EPUB and the PDF files and also the OnLine HTML documentation for:
 .
  * CvPcb - Component association of Footprints
  * Eeschema - schematic capture editor
  * GerbView - Gerber file viewer (RS 274 X format)
  * GSIK - Getting Started in KiCad
  * GUI Translation - HowTo Help to do GUI translation
  * IDF Exporter - Export tool for IDFv3 boards and libraries
  * KiCad - The main project editor
  * PcbCalculator - A tool for typical calculations while PCB designing
  * Pcbnew - The printed circuit board software tool
  * PlEditor - The layout editor for custom title block
  * Plugins - Introduction to the KiCad plugin system

Package: kicad-doc-es
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Kicad help files (Spanish)
 This package provides various documentation files for KiCad in Spanish, like
 the EPUB and the PDF files and also the OnLine HTML documentation for:
 .
  * CvPcb - Component association of Footprints
  * Eeschema - schematic capture editor
  * GerbView - Gerber file viewer (RS 274 X format)
  * GSIK - Getting Started in KiCad
  * KiCad - The main project editor
  * Pcbnew - The printed circuit board software tool
  * PlEditor - The layout editor for custom title block

Package: kicad-doc-fr
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Kicad help files (French)
 This package provides various documentation files for KiCad in French, like
 the EPUB and the PDF files and also the OnLine HTML documentation for:
 .
  * CvPcb - Component association of Footprints
  * Eeschema - schematic capture editor
  * GSIK - Getting Started in KiCad
  * KiCad - The main project editor
  * Pcbnew - The printed circuit board software tool
  * PlEditor - The layout editor for custom title block

Package: kicad-doc-id
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Kicad help files (Indonesian)
 This package provides various documentation files for KiCad in Indonesian, like
 the EPUB and the PDF files and also the OnLine HTML documentation for:
 .
  * Eeschema - schematic capture editor
  * GSIK - Getting Started in KiCad
  * KiCad - The main project editor

Package: kicad-doc-it
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Kicad help files (Italian)
 This package provides various documentation files for KiCad in Italian, like
 the EPUB and the PDF files and also the OnLine HTML documentation for:
 .
  * CvPcb - Component association of Footprints
  * Eeschema - schematic capture editor
  * GerbView - Gerber file viewer (RS 274 X format)
  * GSIK - Getting Started in KiCad
  * IDF Exporter - Export tool for IDFv3 boards and libraries
  * KiCad - The main project editor
  * PcbCalculator - A tool for typical calculations while PCB designing
  * Pcbnew - The printed circuit board software tool
  * PlEditor - The layout editor for custom title block

Package: kicad-doc-ja
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Kicad help files (Japanese)
 This package provides various documentation files for KiCad in Japanese, like
 the EPUB and the PDF files and also the OnLine HTML documentation for:
 .
  * CvPcb - Component association of Footprints
  * Eeschema - schematic capture editor
  * GerbView - Gerber file viewer (RS 274 X format)
  * GSIK - Getting Started in KiCad
  * GUI Translation - HowTo Help to do GUI translation
  * IDF Exporter - Export tool for IDFv3 boards and libraries
  * KiCad - The main project editor
  * Pcbnew - The printed circuit board software tool
  * PlEditor - The layout editor for custom title block
  * Plugins - Introduction to the KiCad plugin system

Package: kicad-doc-pl
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Kicad help files (Polish)
 This package provides various documentation files for KiCad in Polish, like
 the EPUB and the PDF files and also the OnLine HTML documentation for:
 .
  * CvPcb - Component association of Footprints
  * Eeschema - schematic capture editor
  * GerbView - Gerber file viewer (RS 274 X format)
  * GSIK - Getting Started in KiCad
  * IDF Exporter - Export tool for IDFv3 boards and libraries
  * KiCad - The main project editor
  * Pcbnew - The printed circuit board software tool
  * PlEditor - The layout editor for custom title block

Package: kicad-doc-ru
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Kicad help files (Russian)
 This package provides various documentation files for KiCad in Russian, like
 the EPUB and the PDF files and also the OnLine HTML documentation for:
 .
  * CvPcb - Component association of Footprints
  * Eeschema - schematic capture editor
  * GerbView - Gerber file viewer (RS 274 X format)
  * GSIK - Getting Started in KiCad
  * GUI Translation - HowTo Help to do GUI translation
  * IDF Exporter - Export tool for IDFv3 boards and libraries
  * KiCad - The main project editor
  * PcbCalculator - A tool for typical calculations while PCB designing
  * Pcbnew - The printed circuit board software tool
  * PlEditor - The layout editor for custom title block
  * Plugins - Introduction to the KiCad plugin system

Package: kicad-doc-zh
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Kicad help files (Chinese)
 This package provides various documentation files for KiCad in German, like
 the EPUB and the PDF files and also the OnLine HTML documentation for:
 .
  * CvPcb - Component association of Footprints
  * Eeschema - schematic capture editor
  * GerbView - Gerber file viewer (RS 274 X format)
  * GSIK - Getting Started in KiCad

=== debian/rules ===
--- 
+++ 
@@ -148,6 +148,11 @@
 	# strip unneeded symbols from the kicad specific libraries in /usr/lib/kicad/
 	strip --strip-unneeded --remove-section=.comment $(CURDIR)/debian/kicad/usr/lib/kicad/_*.kiface
 
+# No dbgsym packages:
+override_dh_strip:
+	@echo "not building dbgsym packages for MX Linux"
+	dh_strip --no-automatic-dbgsym
+
 override_dh_makeshlibs:
 	dh_makeshlibs -a \
 		-Xlibkicad_3dsg \

=== debian/tests/control ===
Tests: smoke
Depends: kicad
Restrictions: skippable, superficial, allow-stderr,

## kicad 8.0.7+dfsg

=== gerbview/CMakeLists.txt ===
# Add all the warnings to the files
if( COMPILER_SUPPORTS_WARNINGS )
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${WARN_FLAGS_CXX}")
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${WARN_FLAGS_C}")
endif()

add_compile_definitions( GERBVIEW )

include_directories( BEFORE ${INC_BEFORE} )
include_directories(
    dialogs
    ${CMAKE_SOURCE_DIR}/common
    ${CMAKE_SOURCE_DIR}/common/dialogs
    ${CMAKE_SOURCE_DIR}/3d-viewer
    ${INC_AFTER}
    )


set( DIALOGS_SRCS
    dialogs/panel_gerbview_color_settings.cpp
    dialogs/panel_gerbview_display_options.cpp
    dialogs/panel_gerbview_display_options_base.cpp
    dialogs/panel_gerbview_excellon_settings.cpp
    dialogs/panel_gerbview_excellon_settings_base.cpp
    dialogs/dialog_draw_layers_settings.cpp
    dialogs/dialog_draw_layers_settings_base.cpp
    dialogs/dialog_layers_select_to_pcb.cpp
    dialogs/dialog_layers_select_to_pcb_base.cpp
    dialogs/dialog_print_gerbview.cpp
    dialogs/dialog_select_one_pcb_layer.cpp
    )

set( WIDGET_SRCS
    widgets/dcode_selection_box.cpp
    widgets/gbr_layer_box_selector.cpp
    widgets/gerbview_layer_widget.cpp
    widgets/layer_widget.cpp
    )

set( GERBVIEW_SRCS
    am_param.cpp
    am_primitive.cpp
    aperture_macro.cpp
    gbr_layout.cpp
    gerber_file_image.cpp
    gerber_file_image_list.cpp
    gerber_draw_item.cpp
    gerbview_printout.cpp
    X2_gerber_attributes.cpp
    clear_gbr_drawlayers.cpp
    dcode.cpp
    evaluate.cpp
    events_called_functions.cpp
    excellon_read_drill_file.cpp
    export_to_pcbnew.cpp
    files.cpp
    gerbview_settings.cpp
    gerbview_frame.cpp
    job_file_reader.cpp
    menubar.cpp
    readgerb.cpp
    rs274_read_XY_and_IJ_coordinates.cpp
    rs274d.cpp
    rs274x.cpp
    toolbars_gerber.cpp

    gerbview_draw_panel_gal.cpp
    gerbview_painter.cpp

    tools/gerbview_actions.cpp
    tools/gerbview_inspection_tool.cpp
    tools/gerbview_selection.cpp
    tools/gerbview_selection_tool.cpp
    tools/gerbview_control.cpp
    gerber_collectors.cpp
    )

set( GERBVIEW_EXTRA_SRCS
)

if( WIN32 )
    if( MINGW )
        # GERBVIEW_RESOURCES variable is set by the macro.
        mingw_resource_compiler( gerbview )
    else()
        set( GERBVIEW_RESOURCES ${CMAKE_SOURCE_DIR}/resources/msw/gerbview.rc )
    endif()
endif()

if( APPLE )
    # setup bundle
    set( GERBVIEW_RESOURCES gerbview.icns gerbview_doc.icns )
    set_source_files_properties( "${CMAKE_CURRENT_SOURCE_DIR}/gerbview.icns" PROPERTIES
        MACOSX_PACKAGE_LOCATION Resources
        )
    set_source_files_properties( "${CMAKE_CURRENT_SOURCE_DIR}/gerbview_doc.icns" PROPERTIES
        MACOSX_PACKAGE_LOCATION Resources
        )
    set( MACOSX_BUNDLE_ICON_FILE gerbview.icns )
    set( MACOSX_BUNDLE_GUI_IDENTIFIER org.kicad.kicad )
    set( MACOSX_BUNDLE_NAME gerbview )
endif()

add_executable( gerbview WIN32 MACOSX_BUNDLE
    ${CMAKE_SOURCE_DIR}/common/single_top.cpp
    ${CMAKE_SOURCE_DIR}/common/pgm_base.cpp
    ${GERBVIEW_RESOURCES}
    )

if( KICAD_USE_SENTRY )
    set_property(SOURCE ${CMAKE_SOURCE_DIR}/common/pgm_base.cpp APPEND PROPERTY COMPILE_DEFINITIONS KICAD_SENTRY_DSN="${KICAD_SENTRY_DSN}")
endif()

set_source_files_properties( ${CMAKE_SOURCE_DIR}/common/single_top.cpp PROPERTIES
    COMPILE_DEFINITIONS "TOP_FRAME=FRAME_GERBER;BUILD_KIWAY_DLL"
    )
target_link_libraries( gerbview
    #singletop  # replaces common, giving us restrictive control and link warnings.
    # There's way too much crap coming in from common yet.
    gal
    common
    core
    nlohmann_json
    ${wxWidgets_LIBRARIES}
    )

target_link_options( gerbview PRIVATE
    $<$<BOOL:${KICAD_MAKE_LINK_MAPS}>:-Wl,--cref,-Map=gerbview.map>
    )

# The objects for the main gerbview program
add_library( gerbview_kiface_objects OBJECT
    gerbview.cpp
    ${GERBVIEW_SRCS}
    ${DIALOGS_SRCS}
    ${WIDGET_SRCS}
    ${GERBVIEW_EXTRA_SRCS}
    )

target_link_libraries( gerbview_kiface_objects
    PUBLIC
        common
        gal
        core
    )

message( STATUS "Including 3Dconnexion SpaceMouse navigation support in gerbview" )
add_subdirectory( navlib )

if( NOT MINGW )
    target_link_libraries( gerbview_kiface_objects PUBLIC gerbview_navlib)
endif()

add_dependencies( gerbview_kiface_objects gerbview_navlib )

# the main gerbview program, in DSO form.
add_library( gerbview_kiface MODULE )

set_target_properties( gerbview_kiface PROPERTIES
    OUTPUT_NAME     gerbview
    PREFIX          ${KIFACE_PREFIX}
    SUFFIX          ${KIFACE_SUFFIX}
    )

target_link_libraries( gerbview_kiface
    PRIVATE
        nlohmann_json
        gal
        common
        core
        gerbview_kiface_objects
        ${wxWidgets_LIBRARIES}
    )

target_link_libraries( gerbview_kiface PUBLIC gerbview_navlib)

set_source_files_properties( gerbview.cpp PROPERTIES
    # The KIFACE is in gerbview.cpp, export it:
    COMPILE_DEFINITIONS     "BUILD_KIWAY_DLL;COMPILING_DLL"
    )

target_link_options( gerbview_kiface PRIVATE
    $<$<BOOL:${KICAD_MAKE_LINK_MAPS}>:-Wl,--cref,-Map=_gerbview.kiface.map>
    )

# if building gerbview, then also build gerbview_kiface if out of date.
add_dependencies( gerbview gerbview_kiface )

# these 2 binaries are a matched set, keep them together
if( APPLE )
    set_target_properties( gerbview PROPERTIES
        MACOSX_BUNDLE_INFO_PLIST ${PROJECT_BINARY_DIR}/gerbview/Info.plist
        )

    # puts binaries into the *.app bundle while linking
    set_target_properties( gerbview_kiface PROPERTIES
        LIBRARY_OUTPUT_DIRECTORY ${OSX_BUNDLE_BUILD_KIFACE_DIR}
        )

    set_target_properties( gerbview PROPERTIES INSTALL_RPATH
            "@executable_path/../Frameworks;@executable_path/../Frameworks/Python.framework" )

    set_target_properties( gerbview_kiface PROPERTIES INSTALL_RPATH
            "@executable_path/../Frameworks;@executable_path/../Frameworks/Python.framework" )
    set_target_properties( gerbview_kiface PROPERTIES BUILD_WITH_INSTALL_RPATH 1 )

    # put individual bundle outside of main bundle as a first step
    # will be pulled into the main bundle when creating main bundle
    install( TARGETS gerbview
        DESTINATION ${KICAD_BIN}
        COMPONENT binary
        )

    install( CODE "
        set( KICAD_CMAKE_MODULE_PATH \"${KICAD_CMAKE_MODULE_PATH}\" )
        set( KICAD_BIN \"${KICAD_BIN}\" )
        set( OSX_BUNDLE_INSTALL_BIN_DIR \"${OSX_BUNDLE_INSTALL_BIN_DIR}\" )
        set( OSX_BUNDLE_INSTALL_LIB_DIR \"${OSX_BUNDLE_INSTALL_LIB_DIR}\" )
        set( OSX_BUNDLE_BUILD_KIFACE_DIR \"${OSX_BUNDLE_BUILD_KIFACE_DIR}\" )
    " )

    install( CODE [[
        include( ${KICAD_CMAKE_MODULE_PATH}/InstallSteps/InstallMacOS.cmake )

        # Install any dependencies (this will generally duplicate kicad.app but we can't be sure)
        install_runtime_deps( "${KICAD_BIN}/gerbview.app/Contents/MacOS/gerbview"
            "${OSX_BUNDLE_BUILD_KIFACE_DIR}/_gerbview.kiface"
            ""
            )
    ]] )
else()
    if( MSVC )
        target_sources( gerbview_kiface PRIVATE ${CMAKE_SOURCE_DIR}/resources/msw/gerbview-dll.rc )
    endif()

    install( TARGETS gerbview
        DESTINATION ${KICAD_BIN}
        COMPONENT binary
        )
    install( TARGETS gerbview_kiface
        DESTINATION ${KICAD_KIFACE}
        COMPONENT binary
        )
endif()


if( KICAD_WIN32_INSTALL_PDBS )
    # Get the PDBs to copy over for MSVC
    install(FILES $<TARGET_PDB_FILE:gerbview> DESTINATION ${KICAD_BIN})
    install(FILES $<TARGET_PDB_FILE:gerbview_kiface> DESTINATION ${KICAD_KIFACE})
endif()

=== debian/changelog ===
kicad (8.0.7+dfsg-2build1) plucky; urgency=medium

  * No-change rebuild for Python 3.13 as the default.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 03 Jan 2025 11:56:16 +0100

kicad (8.0.7+dfsg-2) unstable; urgency=medium

  * [7ee0ffc] d/rules: Ignore dh_dwz on armhf
    This architecture is providing too less memory dwz could be running
    succesfully.
    (Closes: #1091284)

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 26 Dec 2024 11:30:34 +0200

kicad (8.0.7+dfsg-1) unstable; urgency=medium

  * [b0daff1] New upstream version 8.0.7+dfsg

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 24 Dec 2024 13:46:07 +0200

## kicad 8.0.8%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -1,76 +1,77 @@
 Source: kicad
 Section: electronics
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian Electronics Team <pkg-electronics-devel@alioth-lists.debian.net>
-Uploaders: Carsten Schoenert <c.schoenert@t-online.de>,
-           Georges Khaznadar <georgesk@debian.org>
-Build-Depends: asciidoctor,
-               chrpath,
-               cmake,
-               dblatex,
-               debhelper-compat (= 13),
-               dh-python,
-               docbook-utils,
-               docbook-xsl,
-               doxygen,
-               dpkg-dev (>= 1.16.1.1~),
-               fonts-freefont-ttf,
-               fonts-vlgothic,
-               gettext,
-               git,
-               imagemagick,
-               libboost-date-time-dev,
-               libboost-dev,
-               libboost-filesystem-dev,
-               libboost-iostreams-dev,
-               libboost-locale-dev,
-               libboost-program-options-dev,
-               libboost-regex-dev,
-               libboost-system-dev,
-               libboost-test-dev,
-               libboost-thread-dev,
-               libbz2-dev,
-               libcairo2-dev,
-               libcurl4-openssl-dev,
-               libgit2-dev,
-               libglew-dev,
-               libglm-dev (>= 0.9.9.6-1~),
-               libgtk-3-dev,
-               liblocale-gettext-perl,
-               libngspice0-dev,
-               libocct-data-exchange-dev,
-               libpython3-dev,
-               libsecret-1-dev,
-               libssl-dev,
-               libterm-readkey-perl,
-               libtext-wrapi18n-perl,
-               libunicode-linebreak-perl,
-               libwxgtk3.2-dev,
-               libxml2-utils,
-               lmodern,
-               pkgconf,
-               po4a,
-               python3-all,
-               python3-dev,
-               python3-wxgtk4.0,
-               source-highlight,
-               swig,
-               texlive-fonts-extra,
-               texlive-lang-chinese,
-               texlive-lang-cyrillic,
-               texlive-lang-english,
-               texlive-lang-european,
-               texlive-lang-french,
-               texlive-lang-german,
-               texlive-lang-italian,
-               texlive-lang-japanese,
-               texlive-lang-other,
-               texlive-lang-polish,
-               texlive-lang-spanish,
-               texlive-xetex,
-               unixodbc-dev,
-               xmlto
+Maintainer: Debian Electronics Team <pkg-electronics-devel@alioth-lists.debian.net>
+Uploaders:
+ Carsten Schoenert <c.schoenert@t-online.de>,
+ Georges Khaznadar <georgesk@debian.org>,
+Build-Depends:
+ asciidoctor,
+ cmake,
+ chrpath,
+ dblatex,
+ debhelper-compat (= 13),
+ dh-python,
+ docbook-utils,
+ docbook-xsl,
+ doxygen,
+ dpkg-dev (>= 1.16.1.1~),
+ fonts-freefont-ttf,
+ fonts-vlgothic,
+ gettext,
+ git,
+ imagemagick,
+ libboost-date-time-dev,
+ libboost-dev,
+ libboost-filesystem-dev,
+ libboost-iostreams-dev,
+ libboost-locale-dev,
+ libboost-program-options-dev,
+ libboost-regex-dev,
+ libboost-system-dev,
+ libboost-test-dev,
+ libboost-thread-dev,
+ libbz2-dev,
+ libcairo2-dev,
+ libcurl4-openssl-dev,
+ libgit2-dev,
+ libglew-dev,
+ libglm-dev (>= 0.9.9.6-1~),
+ libgtk-3-dev,
+ liblocale-gettext-perl,
+ libngspice0-dev,
+ libocct-data-exchange-dev,
+ libpython3-dev,
+ libsecret-1-dev,
+ libssl-dev,
+ libterm-readkey-perl,
+ libtext-wrapi18n-perl,
+ libunicode-linebreak-perl,
+ libwxgtk3.2-dev,
+ libxml2-utils,
+ lmodern,
+ pkgconf,
+ po4a,
+ python3-all,
+ python3-dev,
+ python3-wxgtk4.0,
+ source-highlight,
+ swig,
+ texlive-fonts-extra,
+ texlive-lang-chinese,
+ texlive-lang-cyrillic,
+ texlive-lang-english,
+ texlive-lang-european,
+ texlive-lang-french,
+ texlive-lang-german,
+ texlive-lang-italian,
+ texlive-lang-japanese,
+ texlive-lang-other,
+ texlive-lang-polish,
+ texlive-lang-spanish,
+ texlive-xetex,
+ unixodbc-dev,
+ xmlto,
 Rules-Requires-Root: binary-targets
 Vcs-Git: https://salsa.debian.org/electronics-team/KiCad/kicad.git -b debian/sid
 Vcs-Browser: https://salsa.debian.org/electronics-team/KiCad/kicad/-/tree/debian/sid
@@ -79,20 +80,26 @@
 
 Package: kicad
 Architecture: any-amd64 any-i386 arm64 armhf loong64 mips64el powerpc ppc64 ppc64el riscv64
-Depends: libngspice0,
-         python3-wxgtk4.0 (>= 4.2.0+dfsg-1~),
-         ${misc:Depends},
-         ${python3:Depends},
-         ${shlibs:Depends}
-Suggests: extra-xdg-menus,
-          kicad-doc-ca | kicad-doc-de | kicad-doc-en | kicad-doc-es | kicad-doc-fr | kicad-doc-id | kicad-doc-it | kicad-doc-ja | kicad-doc-pl | kicad-doc-ru | kicad-doc-zh,
-          kicad-packages3d
-Recommends: kicad-demos (>= 8.0.1~), kicad-libraries (>= 8.0.1~), xsltproc
-Breaks: kicad-footprints (<< 8.0.1~),
-        kicad-libraries (<< 8.0.1~),
-        kicad-packages3d (<< 8.0.1~),
-        kicad-symbols (<< 8.0.1~),
-        kicad-templates (<< 8.0.1~)
+Depends:
+ libngspice0,
+ python3-wxgtk4.0 (>= 4.2.0+dfsg-1~),
+ ${misc:Depends},
+ ${python3:Depends},
+ ${shlibs:Depends},
+Suggests:
+ extra-xdg-menus,
+ kicad-doc-ca | kicad-doc-de | kicad-doc-en | kicad-doc-es | kicad-doc-fr | kicad-doc-id | kicad-doc-it | kicad-doc-ja | kicad-doc-pl | kicad-doc-ru | kicad-doc-zh,
+ kicad-packages3d,
+Recommends:
+ kicad-libraries (>= 8.0.1~),
+ kicad-demos (>= 8.0.1~),
+ xsltproc,
+Breaks:
+ kicad-libraries (<< 8.0.1~),
+ kicad-footprints (<< 8.0.1~),
+ kicad-packages3d (<< 8.0.1~),
+ kicad-symbols (<< 8.0.1~),
+ kicad-templates (<< 8.0.1~),
 Description: Electronic schematic and PCB design software
  Kicad is a suite of programs for the creation of printed circuit boards.
  It includes a schematic editor, a PCB layout tool, support tools and a
@@ -118,8 +125,10 @@
 Package: kicad-demos
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}
-Suggests: kicad (>= 8.0.1~)
+Depends:
+ ${misc:Depends},
+Suggests:
+ kicad (>= 8.0.1~),
 Description: Demo projects for kicad
  The KiCad projects within this package are various typical small use cases
  which can be used for study or also for build own projects on top of these
@@ -133,7 +142,8 @@
 Section: doc
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}
+Depends:
+ ${misc:Depends},
 Description: Kicad help files (Catalan)
  This package provides various documentation files for KiCad in Catalan, like
  the EPUB and the PDF files and also the OnLine HTML documentation for:
@@ -145,7 +155,8 @@
 Section: doc
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}
+Depends:
+ ${misc:Depends},
 Description: Kicad help files (German)
  This package provides various documentation files for KiCad in German, like
  the EPUB and the PDF files and also the OnLine HTML documentation for:
@@ -164,7 +175,8 @@
 Section: doc
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}
+Depends:
+ ${misc:Depends},
 Description: Kicad help files (English)
  This package provides various documentation files for KiCad in English, like
  the EPUB and the PDF files and also the OnLine HTML documentation for:
@@ -185,7 +197,8 @@
 Section: doc
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}
+Depends:
+ ${misc:Depends},
 Description: Kicad help files (Spanish)
  This package provides various documentation files for KiCad in Spanish, like
  the EPUB and the PDF files and also the OnLine HTML documentation for:
@@ -202,7 +215,8 @@
 Section: doc
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}
+Depends:
+ ${misc:Depends},
 Description: Kicad help files (French)
  This package provides various documentation files for KiCad in French, like
  the EPUB and the PDF files and also the OnLine HTML documentation for:
@@ -218,7 +232,8 @@
 Section: doc
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}
+Depends:
+ ${misc:Depends},
 Description: Kicad help files (Indonesian)
  This package provides various documentation files for KiCad in Indonesian, like
  the EPUB and the PDF files and also the OnLine HTML documentation for:
@@ -231,7 +246,8 @@
 Section: doc
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}
+Depends:
+ ${misc:Depends},
 Description: Kicad help files (Italian)
  This package provides various documentation files for KiCad in Italian, like
  the EPUB and the PDF files and also the OnLine HTML documentation for:
@@ -250,7 +266,8 @@
 Section: doc
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}
+Depends:
+ ${misc:Depends},
 Description: Kicad help files (Japanese)
  This package provides various documentation files for KiCad in Japanese, like
  the EPUB and the PDF files and also the OnLine HTML documentation for:
@@ -270,7 +287,8 @@
 Section: doc
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}
+Depends:
+ ${misc:Depends},
 Description: Kicad help files (Polish)
  This package provides various documentation files for KiCad in Polish, like
  the EPUB and the PDF files and also the OnLine HTML documentation for:
@@ -309,7 +327,8 @@
 Section: doc
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}
+Depends:
+ ${misc:Depends},
 Description: Kicad help files (Chinese)
  This package provides various documentation files for KiCad in German, like
  the EPUB and the PDF files and also the OnLine HTML documentation for:
@@ -318,3 +337,31 @@
   * Eeschema - schematic capture editor
   * GerbView - Gerber file viewer (RS 274 X format)
   * GSIK - Getting Started in KiCad
+  * GUI Translation - HowTo Help to do GUI translation
+  * IDF Exporter - Export tool for IDFv3 boards and libraries
+  * KiCad - The main project editor
+  * PcbCalculator - A tool for typical calculations while PCB designing
+  * Pcbnew - The printed circuit board software tool
+  * PlEditor - The layout editor for custom title block
+  * Plugins - Introduction to the KiCad plugin system
+
+Package: kicad-libraries
+Architecture: all
+Section: metapackages
+Multi-Arch: foreign
+Depends:
+ kicad-footprints (>= 8.0.1~),
+ kicad-symbols (>= 8.0.1~),
+ kicad-templates (>= 8.0.1~),
+ ${misc:Depends},
+Suggests:
+ kicad-packages3d (>= 8.0.1~),
+Description: Virtual package providing common used libraries by kicad
+ This package contains dependencies on the component libraries (schematics
+ and footprints), and also on the templates that are used in KiCad.
+ .
+ If you prefer to control the installation of the dependent packages
+  * kicad-footprint
+  * kicad-symbols
+  * kicad-templates
+ you should not install kicad-libraries and install one or more of the above
